# Method: images.asyncBatchAnnotate

- [HTTP request](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/asyncBatchAnnotate#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/asyncBatchAnnotate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/asyncBatchAnnotate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/asyncBatchAnnotate#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/asyncBatchAnnotate#body.aspect)
- [Try it!](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/asyncBatchAnnotate#try-it)

Run asynchronous image detection and annotation for a list of images.

Progress and results can be retrieved through the `google.longrunning.Operations` interface. `Operation.metadata` contains `OperationMetadata` (metadata). `Operation.response` contains `AsyncBatchAnnotateImagesResponse` (results).

This service will write image annotation outputs to json files in customer Google Cloud Storage bucket, each json file containing BatchAnnotateImagesResponse proto.

### HTTP request

`POST https://alpha-vision.googleapis.com/v1/images:asyncBatchAnnotate`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "requests": [ { object(`https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/AnnotateImageRequest`) } ], "outputConfig": { object(`https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/OutputConfig`) } } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object(`https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/AnnotateImageRequest`)`` Individual image annotation requests for this batch. |
| `outputConfig` | ``object(`https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/OutputConfig`)`` Required. The desired output location and metadata (e.g. format). |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/locations.operations#Operation`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-vision`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## Try it!